Форумы

Модераторы: tastelinux, Frizze, andrey, Bender
Автор Добавил
tastelinux
Чтв Дек 01 2011, 03:39
andreika

ID пользователя #1
Зарегистрирован: Птн Апр 30 2010, 12:25

Сообщений: 337
Проблема в том, что Curl 7.16 зависит от php-5.4 в репозитториях remi.

--> Processing Dependency: libcurl.so.3()(64bit) for package: php-common
---> Package curl.x86_64 0:7.16.4-8.el5 set to be updated


1. Взял пакет из другого репозитория и перекомпилил его под наш дистрибутив.

# wget http://archive.fedoraproject.org/pub/archive/fedora/linux/releases/8/Everything/source/SRPMS/curl-7.16.4-8.fc8.src.rpm

yum install rpm-build gcc

rpmbuild --rebuild --define 'dist .el5' curl-7.16.4-8.fc8.src.rpm

2. После чего полностью удалил Php.
yum remove php\*

3. Установил зависимости вручную из тестового репозитория compat-libcurl3.
4. Установил Curl из собранного пакета.
5. Установил все пакеты php*.
Наверх
php5 3 curl 7 16 centos   curl 7 16 centos   centos   linux   php   curl 7 16   

 

Перейти:     Наверх

Транслировать сообщения этой темы: rss 0.92 Транслировать сообщения этой темы: rss 2.0 Транслировать сообщения этой темы: RDF
Powered by e107 Forum System